Subject: [Sdn] Fwd: Bits and Bites

From: Jamal Hadi Salim <[email-masked]>
Date: Thu, 31 Oct 2013 07:22:35 -0400

FYI

---------- Forwarded message ----------
From: Jamal Hadi Salim <[email-masked]>
Date: Tue, Oct 29, 2013 at 10:08 AM
Subject: Bits and Bites
To: "[email-masked]" <[email-masked]>

Folks,

Just to let you know - at this meeting in Vancouver there will be demo
of Service aware networking (using ForCES) at Bits and Bites on
thursday. For people who cant make it for bits and bites, we'll have
a shorter preview at the meeting's tail end.

The theme will constitute of three ingredients - all demonstrating the
versatility
of using ForCES in all 3 aspects of network programmability:

a) Open Network Devices.
We will demonstrate a variety of open datapaths running ForCES:
These include:
- physical machines with Linux
- VMs using KVM
- Cumulus Networks Open Network Devices (Broadcom ASIC based)

b)Open Network Functions.
These include a variety of ForCES LFBs:
- a variety of datapath LFBs needed for creating a PGW datapath
- a management LFB that is used to describe VMs
- a set of general purpose LFBs (which are available on all network devices):
       *switching/bridging (L2 FDB, L2 bridge ports, L2 Vlan filtering)
       *physical/virtual ports (wide range: physical, tunnels like
vxlan, to simple tuntap on Linux etc)
       *IP address LFB

c) Open Network Services.
These will be services and apps utilizing the network functions above.
At the moment on the list (it may grow) are:
      * illustration of  PGW control setting of the various LFBs for a UE
      * illustration of booting and managing VM lifecyles for virtual FEs/CEs
      * A CLI app at the controller controlling and managing all aspects of the
         different Network Devices as well as monitoring them.

I should point out that demonstrating a CLI is boring - wish we could dazzle you
with flashing lights on a GUI - but we had a very short  period to put
all of this together;
the purpose of the  CLI is to illustrates the power of ForCES being
agnostic to the underlying
infrastructure as long as one defines an XML, using the ForCES language,
for an arbitrary network function. Essentially we have a consistent API _defined
by the XML_ for the Control Abstraction Layer (CAL) etc.

Hope to see you there!

cheers,
jamal